## org.hibernate.mapping
Class FetchProfile.Fetch

    java.lang.Object
      org.hibernate.mapping.FetchProfile.Fetch

Enclosing class:
  FetchProfile

    public static class FetchProfile.Fetch

extends Object

Defines an individual association fetch within the given profile.

Constructor Summary
`FetchProfile.Fetch(String entity, String association, String style)`

Method Summary
`String` `getAssociation()`
`String` `getEntity()`
`String` `getStyle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchProfile.Fetch

    public FetchProfile.Fetch(String entity,
                              String association,
                              String style)

Method Detail

### getEntity

    public String getEntity()

### getAssociation

    public String getAssociation()

### getStyle

    public String getStyle()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.